edu.whs.spin2018.baoapp.model.spiel

## Class Spielzug

- java.lang.Object
- - edu.whs.spin2018.baoapp.model.spiel.Spielzug

-     public class Spielzug
      extends java.lang.Object

  Repraesentiert einen Spielzug. Speichert die Veraenderungen an den einzelnen Mulden.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Spielzug(Spieler ausfuehrenderSpieler)` Repräsentiert einen Spielzug mit seinen Veränderungen an den Mulden.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fuegeVeraenderungHinzu(MuldenVeraenderung veraenderung)` Fügt dem Spielzug eine Muldenveraenderung hinzu.
    `Spieler` | `gibAusfuehrendenSpieler()` Gibt den Spieler, der den Spielzug ausgeführt hat.
    `java.lang.String` | `gibGewinnerName()` Gibt den Namen des Gewinners aus dem Spielzug.
    `java.util.ArrayList<MuldenVeraenderung>` | `gibVeraenderungen()` Gibt alle Muldenveraenderungen des Spielzugs wieder.
    `boolean` | `istSpielBeendet()` Prüft ob das Spiel nach der Ausführung dieses Spielzugs beendet ist.
    `void` | `setzeGewinnerNamen(java.lang.String name)` Setzt den Namen des Gewinners in den Spielzug.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Spielzug

          public Spielzug(Spieler ausfuehrenderSpieler)

      Repräsentiert einen Spielzug mit seinen Veränderungen an den Mulden.
      Parameters:
        `ausfuehrenderSpieler` -

  - ### Method Detail

    - #### fuegeVeraenderungHinzu

          public void fuegeVeraenderungHinzu(MuldenVeraenderung veraenderung)

      Fügt dem Spielzug eine Muldenveraenderung hinzu.
      Parameters:
        `veraenderung` -

    - #### gibVeraenderungen

          public java.util.ArrayList<MuldenVeraenderung> gibVeraenderungen()

      Gibt alle Muldenveraenderungen des Spielzugs wieder.
      Returns:
        eine Liste von Muldenveraenderungen.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### istSpielBeendet

          public boolean istSpielBeendet()

      Prüft ob das Spiel nach der Ausführung dieses Spielzugs beendet ist.
      Returns:
        ob Spiel beendet ist

    - #### gibAusfuehrendenSpieler

          public Spieler gibAusfuehrendenSpieler()

      Gibt den Spieler, der den Spielzug ausgeführt hat.
      Returns:
        den Spieler der den Spielzug ausgeführt hat.

    - #### setzeGewinnerNamen

          public void setzeGewinnerNamen(java.lang.String name)

      Setzt den Namen des Gewinners in den Spielzug.
      Parameters:
        `name` - Name des Gewinners

    - #### gibGewinnerName

          public java.lang.String gibGewinnerName()

      Gibt den Namen des Gewinners aus dem Spielzug.
      Returns:
        den Namen des Gewinners.